% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/periodDeathProbabilities.R
\docType{methods}
\name{periodDeathProbabilities}
\alias{periodDeathProbabilities}
\alias{periodDeathProbabilities,mortalityTable.ageShift-method}
\alias{periodDeathProbabilities,mortalityTable.improvementFactors-method}
\alias{periodDeathProbabilities,mortalityTable.mixed-method}
\alias{periodDeathProbabilities,mortalityTable.period-method}
\alias{periodDeathProbabilities,mortalityTable.trendProjection-method}
\title{Return the (period) death probabilities of the life table for a given
observation year}
\usage{
periodDeathProbabilities(object, ..., Period = 1975)

\S4method{periodDeathProbabilities}{mortalityTable.period}(object, ...,
  Period = 1975)

\S4method{periodDeathProbabilities}{mortalityTable.ageShift}(object, ...,
  Period = 1975)

\S4method{periodDeathProbabilities}{mortalityTable.trendProjection}(object, ...,
  Period = 1975)

\S4method{periodDeathProbabilities}{mortalityTable.improvementFactors}(object,
  ..., Period = 1975)

\S4method{periodDeathProbabilities}{mortalityTable.mixed}(object, ...,
  Period = 1975)
}
\arguments{
\item{object}{The life table object (class inherited from mortalityTable)}

\item{...}{Other parameters (currently unused)}

\item{Period}{The observation year for which the period death probabilities should be determined}
}
\description{
Return the (period) death probabilities of the life table for a given
observation year
}
\section{Methods (by class)}{
\itemize{
\item \code{mortalityTable.period}: Return the (period) death probabilities
of the life table for a given observation year

\item \code{mortalityTable.ageShift}: Return the (period) death probabilities
of the life table for a given observation year

\item \code{mortalityTable.trendProjection}: Return the (period) death probabilities
of the life table for a given observation year

\item \code{mortalityTable.improvementFactors}: Return the (period) death probabilities
of the life table for a given observation year

\item \code{mortalityTable.mixed}: Return the (period) death probabilities
of the life table for a given observation year
}}

